Arduino ATOM on Scilab 5.5.2 under Ubuntu 16.04 LTS

classic Classic list List threaded Threaded
2 messages Options
nikolay nikolay
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Arduino ATOM on Scilab 5.5.2 under Ubuntu 16.04 LTS

Dear Scilab users!

Recently I have installed Ubuntu 16.04 LTS, it has Scilab 5.5.2 in repositories.

I planned to use it with Arduino Uno board, so I tried to install arduino toolbox (ATOMS) with
-->atomsInstall('arduino')
atomsInstallList: The package arduino is not available.
 !--error 10000

at line      51 of function atomsError called by : 
at line      76 of function atomsInstallList called by : 
at line     233 of function atomsInstall called by : 
atomsInstall('arduino')


so I can't install it.

I can't understand why this toolbox is not available.
It has huge free-software popularization and educational potential. Isn't it?

Someone opened ticket on Forge to indicate this problem. But with no results.
It seems that Scilab-forge is half-dead.
I remember the last discussion about Arduino and Scilab 5.5.2, it solves the problem, but it is not newbie-friendly to download, extract and run ATOM-archive manually.

Please compile this toolbox for Scilab 5.5.2 and make it available as ATOM on all platforms.
Moreover it is not available for Scilab 6 as explained in the new ticket and on ATOMS site.


--
With best regards,
Ph.D.,
associate professor at MPEI,
IEEE member,
maintainer of Mathieu functions toolbox for Scilab,
Nikolay Strelkov.


_______________________________________________
dev mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/dev
Samuel GOUGEON Samuel GOUGEON
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Arduino ATOM on Scilab 5.5.2 under Ubuntu 16.04 LTS

Le 09/04/2017 à 19:27, Nikolay Strelkov a écrit :
Dear Scilab users!

Recently I have installed Ubuntu 16.04 LTS, it has Scilab 5.5.2 in repositories.

I planned to use it with Arduino Uno board, so I tried to install arduino toolbox (ATOMS) with
-->atomsInstall('arduino')
atomsInstallList: The package arduino is not available.
 !--error 10000

at line      51 of function atomsError called by : 
at line      76 of function atomsInstallList called by : 
at line     233 of function atomsInstall called by : 
atomsInstall('arduino')


so I can't install it.

I can't understand why this toolbox is not available.
It has huge free-software popularization and educational potential. Isn't it?

I am afraid that this rationale does not provide time to authors and maintainers, that are certainly already convinced: https://atoms.scilab.org/toolboxes/arduino/1.3
Moreover:
http://mailinglists.scilab.org/AMPL-toolbox-tp4036093p4036122.html
Clément David-3
"FYI currently there is no planned work to port external toolboxes by ESI (formerly S/E). "

...

I am afraid that does not help a lot. Just kill your hope, or take your keyboard and do the job.
:/
Samuel


_______________________________________________
dev mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/dev
Loading...